CON
  _clkmode        = xtal1 + pll16x
  _xinfreq        = 5_000_000

OBJ
  Debug : "FullDuplexSerial"

  
VAR
  long Duration[20] 'an array of 20 elements but index starts with 0
  long Index
  long x
  long y


PUB ArrayDemo
  Debug.Start(31,30,0,115200)
  Debug.Str(string("Demo Start"))

  ClearArray
  StoreSquare
  repeat
    ShowYValues
    WaitCnt(ClkFreq + cnt)

  
PUB ClearArray

  'clear all longs in the Array
  repeat Index from 0 to 19
    Duration[Index] := 0


PUB StoreSquare
  x := 1
  
  repeat Index from 0 to 19
    y := x * x
    Duration[Index] := y 'store value of y in array-element no "index"
    x := x + 1


PUB ShowYValues
  repeat Index from 0 to 19
    Debug.Str(string("Array-Element No "))
    Debug.Dec(Index)
    Debug.Str(string(" contains value "))
    Debug.Dec(Duration[Index])
    Debug.Tx(13)

  Debug.Tx(13)
  Debug.Str(string("or in a very short form"))
  Debug.Tx(13)

  
  repeat Index from 0 to 19
    Debug.Str(string("Duration["))
    Debug.Dec(Index)
    Debug.Str(string("]"))
    Debug.Str(string("="))
    Debug.Dec(Duration[Index])
    Debug.Tx(13)

  Debug.Tx(13)
  Debug.Tx(13)
     